/** \file actask.c */

///
///  This function solely exists to prevent that the arm linker removes a
///  desired input section.
///
///  \return  Always 0
///
///  \par History:
///  \history 01-03-2006  First version

static int DummyFunc(void)
{  
  return 0;
}


///
///  This function calls the function pointers which were put into the
///  INITCALL_SECTION.
///
///  \return The function always returns 0.
///
///  \par History:
///  \history 01-03-2006  First version

static void DoInitcalls(void)
{
	initcall_t *call;

	call = (initcall_t *)&INITCALL_SECTION$$Base;
	do {
		(*call)();
		call++;
	} while (call < (initcall_t *)&INITCALL_SECTION$$Limit);
}
